summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorjak1 <mike.wollmann@gmail.com>2021-03-19 16:20:45 +0100
committerjak1 <mike.wollmann@gmail.com>2021-03-19 16:20:45 +0100
commit2e788bbf70f9f1e52cf11208b0ef407af9d6a0df (patch)
treecdeaaf72cf46b35e940e2f159cdb48d4dc0b3ed4
parentd1de9f1efa6750f9cfa754d0e68cb3d7abfc5ef3 (diff)
downloaddocker-windows-builder-2e788bbf70f9f1e52cf11208b0ef407af9d6a0df.tar.gz
docker-windows-builder-2e788bbf70f9f1e52cf11208b0ef407af9d6a0df.tar.bz2
docker-windows-builder-2e788bbf70f9f1e52cf11208b0ef407af9d6a0df.tar.xz
docker-windows-builder-2e788bbf70f9f1e52cf11208b0ef407af9d6a0df.zip
added jsonlint to linters
-rw-r--r--.gitlab-ci.yml2
-rw-r--r--pages.sh2
2 files changed, 3 insertions, 1 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 3c5ebad..ea36c80 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -61,7 +61,7 @@ pages:
- stable
- release
before_script:
- - apk add openssh-client libxml2-utils
+ - apk add openssh-client libxml2-utils jsonlint
- eval $(ssh-agent -s)
- mkdir -p ~/.ssh
- echo "${SSH_PRIVATE_KEY_BASE64}" | base64 -d | tr -d '\r' > ~/.ssh/id_rsa
diff --git a/pages.sh b/pages.sh
index f21aeab..9975bbc 100644
--- a/pages.sh
+++ b/pages.sh
@@ -164,6 +164,7 @@ deploy(){
# i guess i need to get old artifacts to keep pages in case it was a test build
if get_mode; then
find $deploy_dir -type f -not -name '*.xsd' -delete
+
#else
# deploying versions
#scp -o StrictHostKeyChecking=no $deploy_dir/.zip $DEPLOY_HOST:$DEPLOY_LOCATION$mode || echo "WARN: cant deploy to Server!"
@@ -174,6 +175,7 @@ deploy(){
linters(){
xmllint --schema $deploy_dir/$mirror_file.xsd $deploy_dir/$mirror_file.xml --noout || exit 1
+ jsonlint-php $deploy_dir/$mirror_file.json || exit 1
}
get_version_file